Upgrading Core With the Installer

If the cluster that you want to upgrade was installed using the Installer, use the Installer to upgrade core.

Before you begin, review Planning Your Core Upgrade, and verify that your cluster is prepared for an upgrade. In some cases, a maintenance update can be performed rather than a version upgrade. For more information, see Performing a Maintenance Update
Warning: The Version Upgrade operation is an offline operation. Service failures, job failures, or the loss of customized configuration files can occur if you do not perform the steps to prepare the cluster for an upgrade.
Note: To upgrade to release 6.0 or later using the Installer, release 5.2.x and MEP 3.0.1 or later must be installed on your cluster. If security is enabled on the cluster, you cannot use the Installer or Stanzas to upgrade. You must perform the upgrade manually.
  1. Update the Installer. For more information, see Updating the Installer.
    This step ensures that the Installer has access to the latest packages.
  2. Halt jobs and applications. Stop accepting new jobs and applications, and stop YARN applications.
    # yarn application -list
    # yarn application -kill <ApplicationId>

    You might also need specific commands to terminate custom applications.

  3. Launch the Installer URL (https://<hostname/IPaddress>:9443)
  4. Select the Version Upgrade option to complete the upgrade through the Installer. The installer allows you to specify the core version, the Ecosystem Pack (MEP) version, and the components and services you want to install.
    Note:
    • Do not refresh the browser page during the upgrade sequence. Doing so can cause errors. For more information, see IN-1915 in MapR Installer Known Issues.
    • If you upgrade a non-secure cluster to release 6.0.1 or later and metrics monitoring is enabled, the Installer asks you to specify a password for the Grafana administrator ID (admin). You must specify a password. For more information about Grafana password requirements, see Logging on to Grafana.
    • If the Installer indicates that the version upgrade failed, or if the following error message is displayed, use the Import State command to revert the cluster to the last known state. See Importing or Exporting the Cluster State.
      Custom secure cluster < MapR core 6.0.0 cannot be upgraded
  5. Once the upgrade through the Installer is complete, perform the post-upgrade steps. See Finishing the Data-Fabric Core Upgrade.